Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.thrift
Enum KsDef._Fields

    java.lang.Object
      java.lang.Enum<KsDef._Fields>
          org.apache.cassandra.thrift.KsDef._Fields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<KsDef._Fields>, org.apache.thrift.TFieldIdEnum

Enclosing class:
  KsDef

    public static enum KsDef._Fields

extends java.lang.Enum<KsDef._Fields>
implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Enum Constant Summary
`CF_DEFS`
`DURABLE_WRITES`
`NAME`
`REPLICATION_FACTOR`
`STRATEGY_CLASS`
`STRATEGY_OPTIONS`

Method Summary
`static KsDef._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
`static KsDef._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static KsDef._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`java.lang.String` | `getFieldName()`
`short` | `getThriftFieldId()`
`static KsDef._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static KsDef._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NAME

    public static final KsDef._Fields NAME

### STRATEGY_CLASS

    public static final KsDef._Fields STRATEGY_CLASS

### STRATEGY_OPTIONS

    public static final KsDef._Fields STRATEGY_OPTIONS

### REPLICATION_FACTOR

    public static final KsDef._Fields REPLICATION_FACTOR

### CF_DEFS

    public static final KsDef._Fields CF_DEFS

### DURABLE_WRITES

    public static final KsDef._Fields DURABLE_WRITES

Method Detail

### values

    public static KsDef._Fields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (KsDef._Fields c : KsDef._Fields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static KsDef._Fields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### findByThriftId

    public static KsDef._Fields findByThriftId(int fieldId)

  Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

    public static KsDef._Fields findByThriftIdOrThrow(int fieldId)

  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

    public static KsDef._Fields findByName(java.lang.String name)

  Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

    public short getThriftFieldId()

  Specified by:
    `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

    public java.lang.String getFieldName()

  Specified by:
    `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 The Apache Software Foundation